Subject: Re: bug#662: #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2

From: Boian Bonev <[email-masked]>
Date: Sun, 14 Aug 2022 23:59:26 +0300

> I have reproduced this on a Daedalus install.
> 
> It seems to be triggered by the
> 
>  VERSION_CODENAME="daedalus ceres"
> 
> in /etc/os-release which doesn't match a template. Changing it to a single
> codename makes software-properties-gtk run.
> 
> Boian, is the right fix to add that codename template?

I don't think so. Codename should become a single word, but it is not clear (at
least to me) how to achieve that and also get it to distinguish daedalus from
ceres. AFAIK Debian also yields the same codename both for testing and unstable
and only has the proper one for (old)stable.

OTOH software-properties-gtk does not work properly neither on chimaera nor on
daedalus - it runs (after changing os-release) but does not recognize the
configured entries in /etc/apt/sources.list and does not parse the mirrors from
/usr/share/python-apt/templates/Devuan.mirrors. I did try to see what is going
on but I am not on good terms with snakes and couldn't find the problem.

With best regards,
b.